using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.IO;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using Syncfusion.Web.UI.WebControls.Grid.Grouping;
using Syncfusion.Grouping;
using Syncfusion.Windows.Forms.Grid;
using Syncfusion.Web.UI.WebControls.Tools;
using System.Configuration;
using System.Web.Security;
using System.Web.UI.WebControls.WebParts;
using System.Data.OleDb;


public partial class Default : System.Web.UI.Page
{
    private void Page_init(object sender, System.EventArgs e)
    {
        this.AccessDataSource1.DataFile = @"C:\Program Files\Syncfusion\Essential Studio\4.2.0.37\Web\Data\OutlookDB.mdb";
        //Here we define the GridGrouping Controls before callback script event.
        //This will fire the CallbackPanel1's CallbackRefresh event on the server.
        this.InboxGrid.BeforeCallbackScript = "if(arg.indexOf('MOVETO:RR:')!=-1){this.continueCallback = false;__sfCallbackMultiplexer1.doCallback('InboxGrid', arg);}";
        GridTableDescriptor mainTD = this.InboxGrid.TableDescriptor;
        mainTD.PrimaryKeyColumns.Add("Id");
        this.InboxGrid.DataBind();

        this.InboxGrid.SelectedRecordsChanged += new Syncfusion.Grouping.SelectedRecordsChangedEventHandler(this.InboxGrid_SelectedRecordsChanged);

    }


    private void InboxGrid_SelectedRecordsChanged(object sender, Syncfusion.Grouping.SelectedRecordsChangedEventArgs e)
    {
        if (this.InboxGrid.Table.CurrentRecord == null)
            return;
        lblName.Text = "";
        switch (e.Action)
        {
            case SelectedRecordsChangedType.Added:
            case SelectedRecordsChangedType.Removed:
            case SelectedRecordsChangedType.Reset:
                {

                    string Contents1;
                    // Get the currently selected record From the Inbox Grid and viewing contents in Text box
                    Contents1 = this.InboxGrid.Table.CurrentRecord.GetValue("Sender").ToString();
                    lblName.Text = Contents1;
                    try
                    {
                        this.CallbackMultiplexer1.ControlsToRefresh.Add(this.CallbackPanel1);
                    }
                    catch { }
                    break;
                }
        }
    }

    protected void Button1_Click(object sender, EventArgs e)
    {

    }
}


